"""
Models for the journal or CMS component.

:copyright: Copyright 2013-2015, Dorian Pula <dorian.pula@amber-penguin-software.ca>
:license: AGPL v3+
"""

from rookeries import database


class JournalEntry(database.CouchDbBackedModel):
    def __init__(self, doc_id, title='', content='', revision=''):
        super(JournalEntry, self).__init__(doc_id, revision)
        self.title = title
        self.content = content
